Manual Knowledge Base

Saatnya Upgrade ke PHP5

Qwords.com Manual Knowledge Base February 8, 2008


image_pdf

PHP 4 sudah tidak didukung lagi oleh pengembang PHP dan juga Qwords.com

Kami menyarankan kepada anda untuk mengupgrade kode PHP4 anda ke PHP5 agar program anda dapat berjalan dengan sempurna. Anda dapat mengupgrade kode php4 anda ke php5 dengan mudah dengan melihat informasi mengenai migrasi di situs php.

Mayoritas pengguna PHP4, menggunakan $HTTP_SESSION_VARS sebagai variabel yang dipergunakan untuk session, hal ini cukuplah merepotkan pengguna yang harus menggantinya dengan $_SESSION.

Solusinya adalah menggunakan Perl, karena Qwords.com mempergunakan Perl sebagai salah satu program yang didukung, cobalah anda menggunakan perintah :

find ./ -type f -exec perl -pi -e “s|HTTP_SESSION_VARS|_SESSION|g” {} ;

hal ini dapat mempermudah pekerjaan anda dalam memigrasi file PHP4 ke PHP5

Jika ada pertanyaan, silakan menghubungi tim support kami melalui Tombol Buka Tiket dibawah ini:

Buka Tiket

Leave a Comment